API ReferenceapiidentityPOST /v1/users/me/mfa/totp/init

POST /v1/users/me/mfa/totp/init

Service: identity · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "issuer": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  }
}

Responses

200 TOTP init

{
  "type": "object",
  "properties": {
    "method_id": {
      "type": "string"
    },
    "secret": {
      "type": "string"
    },
    "otpauth_uri": {
      "type": "string"
    },
    "label": {
      "type": "string"
    }
  },
  "required": [
    "method_id",
    "secret",
    "otpauth_uri",
    "label"
  ]
}

Example

curl -X POST https://identity.platform.loop.health/v1/users/me/mfa/totp/init \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'